function [NumUnique] = CountUnique(Population, ExitFlag)

% Count the number of unique solutions
% If ExitFlag = true, then we don't really have to count all the unique solutions - just
% look at all the solutions and exit with NumUnique > 0 as soon as we find the first
% unique solution.
if ~exist('ExitFlag', 'var')
    ExitFlag = false;
end
Chrom = zeros(length(Population), length(Population(1).chrom));
for i = 1 : length(Population)
    Chrom(i,:) = sort(Population(i).chrom);
end
UniqueFlag = true(length(Population), 1);
for i = 1 : length(Population)-1
    if ~UniqueFlag(i), continue, end
    for j = i+1 : length(Population)
        if isequal(Chrom(i,:), Chrom(j,:))
            UniqueFlag(i) = false;
            UniqueFlag(j) = false;
        end
    end
    if UniqueFlag(i) && ExitFlag
        NumUnique = 1;
        return
    end
end
NumUnique = length(find(UniqueFlag == true));