function [OPTIONS, MinCost, AvgCost, InitFunction, CostFunction, FeasibleFunction, ...
    MaxParValue, MinParValue, Population] = Init(DisplayFlag, ProblemFunction, RandSeed, dsaParameters,caseStudyData,otherParameters,lowerBounds,upperBounds)

%     global otherParameters lowerBounds upperBounds dsaParameters fnc
% 
%     callDatabase % script to load the caseStudyData
%     % get DSA parameters from DSAparameters.m file
%     DSAparameters
% 
%     %global otherParameters lowerBounds upperBounds dsaParameters
%     
%     otherParameters = setOtherParameters(caseStudyData,dsaParameters.nParticles);
%     % set penalties
%     otherParameters.ensPenalty=10000; % insufficient generation / energy not supplied
%     otherParameters.voltagePenalty=10000; % bus voltage violations
%     otherParameters.linesPenalty=10000; % rate capacity of lines violated
% 
%     [lowerBounds,upperBounds] = setVariablesBounds(caseStudyData,otherParameters);
%     
%         fnc=dsaParameters.fnc;


% Initialize population-based optimization software.

% WARNING: some of the optimization routines will not work if population size is odd.
OPTIONS.popsize = dsaParameters.nParticles; % total population size
OPTIONS.Maxgen = dsaParameters.maxIterations; % generation count limit

        SetD            = size(lowerBounds); % Variables to optimize

OPTIONS.numVar = SetD(1,2); % number of genes in each population member
OPTIONS.pmutate = 0; % mutation probability

if ~exist('RandSeed', 'var')
    RandSeed = round(sum(100*clock));
end
%rand('state', RandSeed); % initialize random number generator
if DisplayFlag
    disp(['random # seed = ', num2str(RandSeed)]);
end

% Get the addresses of the initialization, cost, and feasibility functions.
[InitFunction, CostFunction, FeasibleFunction] = ProblemFunction();
% Initialize the population.
[MaxParValue, MinParValue, Population, OPTIONS] = InitFunction(OPTIONS, dsaParameters,caseStudyData,otherParameters,lowerBounds,upperBounds);
% Make sure the population does not have duplicates. 
Population = ClearDups(Population, MaxParValue, MinParValue);
% Compute cost of each individual  
[Population,obj,fit,otherParameters] = CostFunction(OPTIONS, Population, dsaParameters,caseStudyData,otherParameters,lowerBounds,upperBounds);
% Sort the population from most fit to least fit
Population = PopSort(Population);
% Compute the average cost
AverageCost = ComputeAveCost(Population);
% Display info to screen
MinCost = [Population(1).cost];
AvgCost = [AverageCost];
if DisplayFlag
    disp(['The best and mean of Generation # 0 are ', num2str(MinCost(end)), ' and ', num2str(AvgCost(end))]);
end

return;